name: Production Build
on:
  push:
    branches:
      - productive

jobs:
  build:
    runs-on: webserver
    steps:
      - name: Code auschecken
        uses: actions/checkout@v4

      - name: Abhängigkeiten installieren
        run: npm install

      - name: Production-Build generieren
        run: npm run build
